Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.gui.view.tree
Interface TreeViewOptions

All Known Implementing Classes:
  TreeCaching, TreeView

    public interface TreeViewOptions

This interface contains options for the tree view.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Wolfgang Miller

Field Summary
`static int` | `BORDER_PADDING` Border padding value.
`static boolean` | `BORDER_RECTANGLES` Draw rectangle border.
`static int` | `CHANGE_COLOR_TILL` Changes Color until given level.
`static byte` | `DRAW_HIGHLIGHT` Draw kind highlighting.
`static byte` | `DRAW_RECTANGLE` Draw kind rectangle.
`static int` | `FILL_PADDING` Filling padding value.
`static boolean` | `FILL_RECTANGLES` Fill rectangles.
`static int` | `MAXIMUM_LEVEL_DISTANCE` Maximum level distance.
`static int` | `MIN_SPACE` Minimum space in rectangles needed for tags.
`static int` | `MINIMUM_LEVEL_DISTANCE` Minimum space between the levels.
`static int` | `MINIMUM_NODE_HEIGHT` Minimum node height.
`static boolean` | `ONLY_ELEMENT_NODES` Draw only element nodes.
`static boolean` | `SHOW_ANCESTORS` Show ancestor nodes.
`static boolean` | `SHOW_DESCENDANTS` Show descendant nodes.
`static boolean` | `SHOW_EXTRA_INFO` Show extra node information.
`static boolean` | `SLIM_TO_TEXT` Slim rectangles to text length.
`static int` | `TOP_MARGIN` Margin to top.
`static boolean` | `USE_CHILDITERATOR` Use ChildIterator to cache nodes.

Field Detail

### USE_CHILDITERATOR

    static final boolean USE_CHILDITERATOR

  Use ChildIterator to cache nodes.

  See Also:
    Constant Field Values

### ONLY_ELEMENT_NODES

    static final boolean ONLY_ELEMENT_NODES

  Draw only element nodes.

  See Also:
    Constant Field Values

### SHOW_ANCESTORS

    static final boolean SHOW_ANCESTORS

  Show ancestor nodes.

  See Also:
    Constant Field Values

### SHOW_DESCENDANTS

    static final boolean SHOW_DESCENDANTS

  Show descendant nodes.

  See Also:
    Constant Field Values

### BORDER_RECTANGLES

    static final boolean BORDER_RECTANGLES

  Draw rectangle border.

  See Also:
    Constant Field Values

### FILL_RECTANGLES

    static final boolean FILL_RECTANGLES

  Fill rectangles.

  See Also:
    Constant Field Values

### SLIM_TO_TEXT

    static final boolean SLIM_TO_TEXT

  Slim rectangles to text length.

  See Also:
    Constant Field Values

### SHOW_EXTRA_INFO

    static final boolean SHOW_EXTRA_INFO

  Show extra node information.

  See Also:
    Constant Field Values

### BORDER_PADDING

    static final int BORDER_PADDING

  Border padding value.

  See Also:
    Constant Field Values

### FILL_PADDING

    static final int FILL_PADDING

  Filling padding value.

  See Also:
    Constant Field Values

### TOP_MARGIN

    static final int TOP_MARGIN

  Margin to top.

  See Also:
    Constant Field Values

### CHANGE_COLOR_TILL

    static final int CHANGE_COLOR_TILL

  Changes Color until given level.

  See Also:
    Constant Field Values

### MIN_SPACE

    static final int MIN_SPACE

  Minimum space in rectangles needed for tags.

  See Also:
    Constant Field Values

### MINIMUM_LEVEL_DISTANCE

    static final int MINIMUM_LEVEL_DISTANCE

  Minimum space between the levels.

  See Also:
    Constant Field Values

### MAXIMUM_LEVEL_DISTANCE

    static final int MAXIMUM_LEVEL_DISTANCE

  Maximum level distance.

  See Also:
    Constant Field Values

### MINIMUM_NODE_HEIGHT

    static final int MINIMUM_NODE_HEIGHT

  Minimum node height.

  See Also:
    Constant Field Values

### DRAW_RECTANGLE

    static final byte DRAW_RECTANGLE

  Draw kind rectangle.

  See Also:
    Constant Field Values

### DRAW_HIGHLIGHT

    static final byte DRAW_HIGHLIGHT

  Draw kind highlighting.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD